# Interface IBeanProperty

All Superinterfaces:
  `IProperty`

All Known Subinterfaces:
  `IBeanListProperty<S,E>, IBeanMapProperty<S,K,V>, IBeanSetProperty<S,E>, IBeanValueProperty<S,T>`

public interface IBeanProperty extends IProperty
An IProperty extension interface providing access to details of bean properties.

Since:
  1.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`PropertyDescriptor`
`getPropertyDescriptor()`
Returns the property descriptor of the bean property being observed.

## Method Details

### getPropertyDescriptor

PropertyDescriptor getPropertyDescriptor()
Returns the property descriptor of the bean property being observed. This method returns null in the case of anonymous properties.

Returns:
  the property descriptor of the bean property being observed